package com.slodon.b2b2c.vo.seller;

import com.slodon.b2b2c.core.config.DomainUrlUtil;
import com.slodon.b2b2c.seller.pojo.StoreProfileList;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class StoreProfileListVo {

    private Long id;

    private String webSite;

    private Long storeId;

    private String name;

    private String path;

    private Integer sort;

    private Long createId;

    private Date createTime;

    private String status;

    private Long updateId;

    private Date updateTime;

    @ApiModelProperty("简介图片路径")
    private  String url;

    public StoreProfileListVo(StoreProfileList storeProfileList){
        id = storeProfileList.getId();
        storeId = storeProfileList.getStoreId();
        name = storeProfileList.getName();
        path = storeProfileList.getPath();
        sort = storeProfileList.getSort();
        createId = storeProfileList.getCreateId();
        createTime = storeProfileList.getCreateTime();
        status = storeProfileList.getStatus();
        updateId = storeProfileList.getUpdateId();
        updateTime = storeProfileList.getUpdateTime();
        url = DomainUrlUtil.SLD_IMAGE_RESOURCES+storeProfileList.getPath();

    }
}
